from fastapi import APIRouter, Request, Depends
from fastapi.templating import Jinja2Templates

from app.users.dependencies import get_current_user
from app.users.models import Users

router = APIRouter(
    prefix="/pages",
    tags=["Страницы"]
)

templates = Jinja2Templates(directory="app/templates")


@router.get("/base")
async def base(request: Request):
    return templates.TemplateResponse("base.html", {"request": request})


@router.get("/chat")
async def get_chat_page(request: Request):
    return templates.TemplateResponse("chat.html", {"request": request})



